PublicInbox::Git(3)

NAME
PublicInbox::Git - git wrapper

VERSION
version 1.0

SYNOPSIS
        use PublicInbox::Git;
        chomp(my $git_dir = `git rev-parse --git-dir`);
        $git_dir or die "GIT_DIR= must be specified\n";
        my $git = PublicInbox::Git->new($git_dir);

DESCRIPTION
Unstable API outside of the "new" method. It requires git(1) to be installed.

METHODS

  new
        my $git = PublicInbox::Git->new($git_dir);

Initialize a new PublicInbox::Git object for use with PublicInbox::Import This is the only public API method we support. Everything else in this module is subject to change.

SEE ALSO
Git, PublicInbox::Import

CONTACT
All feedback welcome via plain-text mail to <mailto:meta@public-inbox.org>

The mail archives are hosted at <https://public-inbox.org/meta/>

COPYRIGHT
Copyright (C) 2016 all contributors <mailto:meta@public-inbox.org>

License: AGPL-3.0+ <http://www.gnu.org/licenses/agpl-3.0.txt>